Devices API
Get list of devices in your account
Retrieve a list of all devices in your account, excluding deleted devices.
The Devices API is deprecated. New integrations should use the Workers API instead.
GET /devices
This endpoint retrieves a list of devices in your account, excluding deleted devices.
Query parameters
| Name | Type | Description |
|---|---|---|
metadata_filter | string | A URL encoded string of JSON metadata to search for matching keys and values. |
last_updated_since | string (date-time) | An ISO 8601 date and time string to get devices updated since this timestamp. |
name_filter | string | The name of the device to search for. |
tracking_status | string | all (default) returns all devices; all_tracked returns only devices intended for tracking. |
Response
Returns 200 with a list of devices.